Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Class VerticalRulerEvent

    java.lang.Object
      org.eclipse.jface.text.source.VerticalRulerEvent

    public class VerticalRulerEvent

extends Object

An event sent to `IVerticalRulerListener` instances when annotation related event occurs on the vertical ruler.

Since:
  3.0

Constructor Summary
`VerticalRulerEvent(Annotation annotation)` Creates a new event.

Method Summary
`Annotation` `getSelectedAnnotation()`
`void` `setSelectedAnnotation(Annotation annotation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerticalRulerEvent

    public VerticalRulerEvent(Annotation annotation)

  Creates a new event.

  Parameters:
    `annotation` - the annotation concerned, or `null`

Method Detail

### getSelectedAnnotation

    public Annotation getSelectedAnnotation()

  Returns:
    the concerned annotation or `null`

### setSelectedAnnotation

    public void setSelectedAnnotation(Annotation annotation)

  Parameters:
    `annotation` - the concerned annotation, or `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.